#
# slpk03.rb
#
# $Id: slpk03.rb,v 1.1 2000/11/21 03:02:09 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu
include Math


#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; DCL::sgpwsn; gets)).to_i
DCL::sgopn iws


DCL::sglset('LFULL', true)
DCL::slmgn(0.0, 0.0, 0.08, 0.08)

DCL::slrat(1.0, 0.6)                              # <-- ½Ä²£Èæ¤ò»ØÄê
DCL::slsttl('FIGURE TITLE', 'T',  0.0, -1.0, 0.02, 1)
DCL::slsttl('page:#PAGE',   'B',  1.0,  1.0, 0.02, 2)
DCL::slsttl('PROG.NAME',    'B', -1.0,  1.0, 0.02, 3)

DCL::sgfrm

DCL::slpwwr(1)
DCL::sgtxzv(0.01, 0.02, 'LOWER LEFT',  0.02, 0, -1, 3)
DCL::sgtxzv(0.01, 0.58, 'UPPER LEFT',  0.02, 0, -1, 3)
DCL::sgtxzv(0.99, 0.02, 'LOWER RIGHT', 0.02, 0,  1, 3)
DCL::sgtxzv(0.99, 0.58, 'UPPER RIGHT', 0.02, 0,  1, 3)

DCL::sgcls

